Loading...
Searching...
No Matches
DrawText.h File Reference
`#include <string>`
`#include <vector>`
`#include <RDGeneral/export.h>`
`#include <Geometry/point.h>`
`#include <GraphMol/MolDraw2D/MolDraw2DHelpers.h>`
`#include <GraphMol/MolDraw2D/StringRect.h>`

Go to the source code of this file.

## Classes

class | RDKit::MolDraw2D_detail::DrawText
class | Point2D

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::MolDraw2D_detail

## Enumerations

enum class | RDKit::MolDraw2D_detail::TextDrawType : unsigned char { RDKit::MolDraw2D_detail::TextDrawNormal = 0 , RDKit::MolDraw2D_detail::TextDrawSuperscript , RDKit::MolDraw2D_detail::TextDrawSubscript }

## Functions

std::ostream & | RDKit::MolDraw2D_detail::operator<< (std::ostream &oss, const OrientType &o)
std::ostream & | RDKit::MolDraw2D_detail::operator<< (std::ostream &oss, const TextAlignType &tat)
std::ostream & | RDKit::MolDraw2D_detail::operator<< (std::ostream &oss, const TextDrawType &tdt)
RDKIT_MOLDRAW2D_EXPORT bool | RDKit::MolDraw2D_detail::setStringDrawMode (const std::string &instring, TextDrawType &draw_mode, size_t &i)
std::vector< std::string > | RDKit::MolDraw2D_detail::atomLabelToPieces (const std::string &label, OrientType orient)